<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { inject, type Ref } from 'vue'

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const authStore = useAuthStore()
</script>
<template>
  <v-navigation-drawer
    v-model="drawer"
    :rail="rail"
    permanent
    color="#715C55"
    @click="rail = false"
  >
    <v-list-item
      style="color: #faebdf"
      lines="two"
      prepend-avatar="https://cdn.antaranews.com/cache/1200x800/2023/12/15/zyro-image.png-1.jpg"
      :title="authStore.getCurrentUser()?.fullName"
      nav
    >
      <template v-slot:append>
        <v-btn
          color="#faebdf"
          variant="text"
          icon="mdi-chevron-left"
          @click.stop="rail = !rail"
        ></v-btn>
      </template>
    </v-list-item>

    <v-divider></v-divider>

    <v-list density="compact" nav>
      <!-- <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-home"
        title="Home"
        value="home"
        :to="{ name: 'home' }"
      ></v-list-item> -->
      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-cart"
        title="Point of Sell"
        value="pos"
        :to="{ name: 'pos' }"
      ></v-list-item>
      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-account-supervisor"
        title="Member"
        value="members"
        :to="{ name: 'members' }"
      ></v-list-item>

      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-account"
        title="Users"
        value="users"
        :to="{ name: 'users' }"
      ></v-list-item>
      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-gift"
        title="Products"
        value="products"
        :to="{ name: 'products' }"
      ></v-list-item>
      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-check-decagram"
        title="Promotions"
        value="promotions"
        :to="{ name: 'promotions' }"
      ></v-list-item>
      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-garage"
        title="Stock"
        value="stock"
        :to="{ name: 'stock' }"
      ></v-list-item>
      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-timetable"
        title="Check-In-Out"
        value="checkInOut"
        :to="{ name: 'checkInOut' }"
      ></v-list-item>
      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-currency-usd"
        title="Salary"
        value="salary"
        :to="{ name: 'salary' }"
      ></v-list-item>
      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-currency-usd"
        title="Bill"
        value="bills"
        :to="{ name: 'bills' }"
      ></v-list-item>
      <v-list-item
        style="color: #faebdf"
        prepend-icon="mdi-logout"
        title="Logout"
        value="logout"
        @click="authStore.logout()"
      ></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
